@import "colors.css";
@import "structure.css";

* {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    line-height: 1.5;
    background-color: var(--SECONDARY-100);
    color: var(--BLACK);
}

pre {
    font-family: 'Courier New', Courier, monospace;
    background: var(--BLACK);
    color: var(--WHITE);
    padding: 16px;
    border-radius: 8px;
}

code {
    font-family: 'Courier New', Courier, monospace;
}

hr {
    box-sizing: content-box;
    border: 0;
    line-height: 1.25em;
    height: .0625rem;
    background: linear-gradient(to right, transparent, var(--primary-900) 20%, var(--primary-900) 80%, transparent);
}

h1 {
    font-weight: lighter;
    color: var(--primary-900);
    padding: 32px 0px 16px 0px;
    margin: 0;
}

h2 {
    font-weight: bolder;
    color: var(--primary-900);
    padding: 32px 0px 16px 0px;
    margin: 0;
}

h3,
h4 {
    color: var(--primary-700);
    padding: 16px 0px;
    margin: 0;
}

/* Fonts */

h1 {
    font-size: 2.5em;
}

h2 {
    font-size: 2em;
}

h3 {
    font-size: 1.5em;
}

h4 {
    font-size: 1.25em;

}

b {
    font-weight: bold;
    color: var(--primary-900);
}

/* Elements */

a {
    text-decoration: none !important;
    color: var(--primary-900);
}

a:visited {
    color: var(--primary-900);
}

h1 a, h2 a {
    text-decoration: none !important;
    color: var(--primary-900);
}
h3 a, h4 a {
    text-decoration: none !important;
    color: var(--primary-700);
}

h1 a:visited, h2 a:visited {
    text-decoration: none !important;
    color: var(--primary-900);
}

h3 a:visited, h4 a:visited {
    text-decoration: none !important;
    color: var(--primary-700);
}

p a {
    font-weight: bold;
}

li a {
    font-weight: bold;
}

ol li {
    margin-left: 16px;
    margin-bottom: 16px;
}

ul li {
    margin-left: 24px;
    margin-bottom: 8px;
}

blockquote {
    border-left: 4px solid var(--primary-700);
    padding-left: 8px;
    font-style: italic;
}

svg {
    stroke: var(--primary-900);
    fill: var(--primary-900);
}

/* Classes */

.white-svg svg {
    fill: var(--WHITE) !important;
    stroke: var(--WHITE) !important;
}

.text {
    white-space: normal;
}

.text-center {
    text-align: center;
}

.text-nowrap {
    white-space: nowrap;
}

.bolder {
    font-weight: bolder;
}

.bigger-font {
    font-size: 1.25em;
}

.caption {
    padding-top: 0px;
    font-style: italic;
}

.rounded {
    border-radius: 16px;
}

.border-blue {
    border: 1px solid var(--primary-900);
}

.border-grey {
    border: 1px solid var(--SECONDARY-900);
}

.shadow-box {
    box-shadow: 2px 2px 8px var(--SECONDARY-800);
}

.shadow-text {
    text-shadow: 2px 2px 8px var(--SECONDARY-800);
}

.no-shadow {
    box-shadow: none;
    text-shadow: none;
}

.no-shadow:hover {
    box-shadow: none;
    text-shadow: none;
}

.blueline {
    border-left: 4px solid var(--primary-700);
    padding-left: 32px;
}

.whiteline-bottom {
    border-bottom: 2px solid var(--WHITE);
}

.red {
    color: var(--RED);
}

.black {
    color: var(--BLACK);
}

.darkblue-background {
    background-color: var(--primary-900);
}

.darkblue-background h2 {
    font-weight: 300 !important;
}

.darkblue-background h3 {
    font-weight: 300 !important;
    font-style: italic;
}

.grey-background {
    background-color: var(--SECONDARY-300);
}

.white-text {
    color: var(--WHITE) !important;
    text-shadow: 2px 2px 8px var(--SECONDARY-800);
}

.white-text h1,
.white-text h2,
.white-text h3,
.white-text h4,
.white-text b,
.white-text a {
    color: var(--WHITE) !important;
    text-shadow: 2px 2px 8px var(--SECONDARY-800);
}

/* COMPONENTS */

/* Header */

header {
    height: 60px;
    background: var(--primary-900);
    color: var(--WHITE);
    width: 100%;
    margin: 0;
    padding: 0 16px;
    position: fixed;
    top: 0px;
    z-index: 100;
    opacity: 0.9;
    border-bottom: 1px solid var(--SECONDARY-500);
}

header img {
    margin: 0;
    padding: 0;
    vertical-align: middle;
}

.tabsHeader {
    height: auto;
    background: var(--primary-900);
    color: var(--WHITE);
    width: 100%;
    margin: 0;
    padding: 16px 32px;
    position: fixed;
    top: 0px;
    z-index: 100;
    opacity: 1;
    border-bottom: 1px solid var(--SECONDARY-500);
}

/* Menu */

.menu-desktop {
    display: none;
    flex-direction: row;
    align-items: center;
    gap: 16px;
    position: absolute;
    right: 0;
    padding: 16px;
    font-size: 1.25em;
}

.menu-desktop a {
    color: var(--WHITE) !important;
}

.menu-mobile {
    display: none;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    position: absolute;
    z-index: 900;
    top: 0;
    right: 0;
    width: 50%;
    background: var(--SECONDARY-900);
    border-radius: 0px 0px 0px 16px;
}

.menu-mobile a {
    color: var(--WHITE) !important;
    display: block;
}

.menu-mobile svg {
    position: absolute;
    top: 16px;
    right: 16px;
    stroke: var(--WHITE) !important;
    fill: var(--WHITE) !important;
}



/* Footer */

footer {
    padding: 16px;
    background: var(--primary-900);
    color: var(--SECONDARY-100);
}

footer a {
    color: var(--WHITE) !important;
    border-bottom: 2px solid var(--WHITE);
}

footer a[href^="mailto:"] {
    color: var(--WHITE);
}

/* Sections */

.section-right {
    background: var(--SECONDARY-300);
    color: var(--BLACK);
    border-left: 1px solid var(--SECONDARY-500);
}

.card {
    background: var(--SECONDARY-300);
    border: 1px solid var(--primary-900);
    border-radius: 8px;
    padding: 16px;
}

.card a {
    color: var(--primary-900);
}

/* Forms and inputs */

.card-form {
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding: 16px;
    background-color: var(--SECONDARY-300);
    opacity: 0.95;
    border: 1px solid var(--SECONDARY-500);
    border-radius: 16px;
}

select {
    border: 1px solid var(--SECONDARY-500);
    border-radius: 8px;
    padding: 8px 16px;
    font-size: 1.2em;
    opacity: 1;
}

input[type=text] {
    font-size: 1.2em;
    padding: 8px 16px;
    border-radius: 8px;
    border: 1px solid var(--SECONDARY-500);
    opacity: 1;
    background-color: var(--WHITE);
}

input[type=text]:focus {
    border: 1px solid var(--primary-700);
    outline: none;
}

input[type=submit] {
    outline: none !important;
    border: none;
}

textarea {
    font-size: 1.2em;
    min-height: 80px;
    padding: 8px 16px;
    resize: none;
    border-radius: 8px;
    border: 1px solid var(--SECONDARY-500);
}

textarea:focus {
    border: 1px solid var(--primary-700);
    outline: none;
}


.userinput {
    background: var(--SECONDARY-400);
    font-family: 'Courier New', Courier, monospace;
    padding-left: 3px;
    padding-right: 3px;
    border-radius: 2px;
}


/* Table */

.table {
    width: 80%;
    padding: 16px;
    border-collapse: collapse;
    border: 1px solid var(--SECONDARY-700);
}

.table thead {
    font-weight: bolder;
}

.table th {
    background-color: var(--primary-900);
    color: var(--WHITE);
    padding: 8px;
}

.table td {
    padding: 12px;
    border: 1px solid var(--SECONDARY-700);
}

/* Buttons */

button {
    padding: 8px 16px;
    background: var(--primary-900);
    color: var(--WHITE) !important;
    border-radius: 32px;
    font-size: 1em;
    border: none;
}

button:hover {
    box-shadow: 2px 2px 8px var(--SECONDARY-800);
    transition: .3s ease-in;
}

.button {
    display: flex;
    flex-direction: row;
    align-items: center;
    width: fit-content;
    padding: 8px 16px;
    background: var(--primary-900);
    color: var(--WHITE) !important;
    border-radius: 32px;
    font-size: 1em;
    border: none;
}

.button:hover {
    box-shadow: 2px 2px 8px var(--SECONDARY-800);
    transition: .3s ease-in;
}

.softButton {
    background: var(--SECONDARY-400);
    padding: 6px;
}


.storebtn {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    padding: 8px 16px;
    background: var(--primary-900);
    color: var(--WHITE) !important;
    border-radius: 32px;
    width: fit-content;
    font-size: 1em;
    border: none;
}

.storebtn svg{
    fill: var(--WHITE);
    stroke: var(--WHITE) 0.1px;
    border: none;
}

.storebtn:hover {
    box-shadow: 2px 2px 8px var(--SECONDARY-800);
    transition: .3s ease-in;
}

/* Logos and icons */

.logo90 {
    height: 90px;
    width: 90px;
    border-radius: 16px;
    border: 1px solid var(--SECONDARY-500);
    background-color: var(--SECONDARY-100);
}

.logo128 {
    height: 128px;
    width: 128px;
    border-radius: 16px;
    border: 1px solid var(--SECONDARY-500);
    background-color: var(--SECONDARY-100);
}

.icon {
    vertical-align: middle;
    stroke: var(--primary-900);
    fill: var(--primary-900);
}

/* Tabs */

.tabs {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 32px;
}

.tablinks {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 32px;
    font-size: 1.25em;
}

.tabcontent {
    margin: 0 auto;
    width: 80%;
}

.systemTab {
    padding: 16px 32px;
    border-radius: 0px;
    font-size: 1em;
    border: 1px solid var(--primary-900);
    border-collapse: collapse;
    text-wrap: nowrap;
}

.systemTab:hover {
    box-shadow: none;
}

.activeTab {
    background-color: var(--primary-900);
    color: var(--WHITE) !important;

}

.inactiveTab {
    background-color: var(--SECONDARY-100);
    font-weight: bolder;
    color: var(--primary-900) !important;
}

.inactiveTab:hover {
    background-color: var(--SECONDARY-300);
}

.systemContent {
    background-color: var(--SECONDARY-300);
    padding: 16px 32px;
    border-radius: 0px;
    font-size: 1em;
    border: 1px solid var(--primary-900);
}

.videocontent {
    margin: 0 auto;
    width: 90%;
}

/*Download dropdown */

.dropbtn {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    padding: 8px 16px;
    background: var(--primary-900);
    color: var(--WHITE) !important;
    border-radius: 0px !important;
    font-size: 1em;
    border: none;
}

.dropbtn:hover {
    box-shadow: none;
}

.download-content {
    display: none;
    position: absolute;
    z-index: 10;
    flex-direction: column;
}

.download-content button {
    padding: 8px 16px;
    background: var(--primary-900);
    color: var(--WHITE) !important;
    border-radius: 0px !important;
    font-size: 1em;
    border: none;
    text-align: left;
    display: flex;
    align-items: center;
    gap: 8px;
    cursor: pointer;
}

.download-dropdown:hover .download-content {
    display: flex;
}

.download-content button:hover {
    box-shadow: none;
}